Skip to content

Return a user's feed of posts for channels

Request

Provides a list of posts in the user’s channels feeds. Accepts pagination and filtering parameters. Upon enabling expanded reactions types, the response will include the additional reaction types.
Resources

Security
oauth2_as_a_user(Required scopes: feeds.read)
Query
namestring

Use a specific named feed, which is a preset of filters for specific types of feeds. By default, requests return the "following" feed. Specifying a name not listed here will result in a 400 Bad Request error.

Default:"following"
Enum:"following""recommended""latest""popular""most_contributed""visible""search"
querystring

Find content matching provided keywords. When specified, parameters other than pagination filter will be ignored. Required when using search.

page.sizeinteger, (int64)

Return page.size number of records starting at size*number. The default page size is 10 (number of records per page), resulting in the first page being retrieved. The maximum page size is 100.

page.numberinteger, (int64)

Using classical pagination, the page number to return. Default is 1

Bodyapplication/json
Array of integers
curl -i -X GET \
  'https://partner.socialchorus.com/v2/feed/channels/posts?name=following&query=string&page.size=0&page.number=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    0
  ]'

Responses

Success

Bodyapplication/json
dataArray of objects(Feeds.Post.Resource)required
metaobject
Response
{ "data": [ {} ], "meta": { "filters": {}, "feed_name": "following", "pagination": {} } }